## r-bioc-gsva 1.38.2+ds

=== DESCRIPTION ===
Package: GSVA
Version: 1.38.2
Title: Gene Set Variation Analysis for microarray and RNA-seq data
Authors@R: c(person("Justin", "Guinney", role=c("aut", "cre"), email="justin.guinney@sagebase.org"),
             person("Robert", "Castelo", role="aut", email="robert.castelo@upf.edu"),
             person("Alexey", "Sergushichev", role="ctb", email="alsergbox@gmail.com"),
             person("Pablo Sebastian", "Rodriguez", role="ctb", email="pablosebastian.rodriguez@upf.edu"))
Depends: R (>= 3.5.0)
Imports: methods, stats, utils, graphics, BiocGenerics, S4Vectors,
        IRanges, Biobase, SummarizedExperiment, GSEABase, parallel,
        BiocParallel
Suggests: RUnit, limma, RColorBrewer, genefilter, edgeR, GSVAdata,
        shiny, shinythemes, ggplot2, data.table, plotly
Description: Gene Set Variation Analysis (GSVA) is a non-parametric, unsupervised method for estimating variation of gene set enrichment through the samples of a expression data set. GSVA performs a change in coordinate systems, transforming the data from a gene by sample matrix to a gene-set by sample matrix, thereby allowing the evaluation of pathway enrichment for each sample. This new matrix of GSVA enrichment scores facilitates applying standard analytical methods like functional enrichment, survival analysis, clustering, CNV-pathway analysis or cross-tissue pathway analysis, in a pathway-centric manner.
License: GPL (>= 2)
LazyLoad: yes
URL: https://github.com/rcastelo/GSVA
BugReports: https://github.com/rcastelo/GSVA/issues
Encoding: latin1
biocViews: Microarray, Pathways, GeneSetEnrichment
git_url: https://git.bioconductor.org/packages/GSVA
git_branch: RELEASE_3_12
git_last_commit: 3acf0ce
git_last_commit_date: 2021-02-09
Date/Publication: 2021-02-09
NeedsCompilation: yes
Packaged: 2021-02-10 01:09:34 UTC; biocbuild
Author: Justin Guinney [aut, cre],
  Robert Castelo [aut],
  Alexey Sergushichev [ctb],
  Pablo Sebastian Rodriguez [ctb]
Maintainer: Justin Guinney <justin.guinney@sagebase.org>

=== debian/changelog ===
r-bioc-gsva (1.38.2+ds-3) unstable; urgency=medium

  * Team Upload.
  * d/tests/autopkgtest-pkg-r.conf: Add extra_depends on r-cran-runit

 -- Nilesh Patra <nilesh@debian.org>  Sat, 08 May 2021 17:11:00 +0530

r-bioc-gsva (1.38.2+ds-2) unstable; urgency=medium

  [ Steffen Moeller ]
  * Added missing build-dependency (Closes: #987469)

  [ Nilesh Patra ]
  * d/test/control: Add depends on r-cran-fastmatch
  * d/tests/autopkgtest-pkg-r.conf: Add extra depends
    to fix autodep8 test

 -- Steffen Moeller <moeller@debian.org>  Sat, 08 May 2021 11:27:52 +0530

r-bioc-gsva (1.38.2+ds-1) unstable; urgency=medium

  * Initial release (closes: #976840)
  * New upstream version
  * debhelper-compat 13 (routine-update)

 -- Steffen Moeller <moeller@debian.org>  Thu, 18 Feb 2021 22:07:45 +0100

=== debian/control ===
Source: r-bioc-gsva
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Steffen Moeller <moeller@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-bioc-biocgenerics,
               r-bioc-s4vectors,
               r-bioc-iranges,
               r-bioc-biobase,
               r-bioc-summarizedexperiment,
               r-bioc-biocparallel,
               r-bioc-gseabase
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-gsva
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-gsva.git
Homepage: https://bioconductor.org/packages/GSVA/
Rules-Requires-Root: no

Package: r-bioc-gsva
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Gene Set Variation Analysis for microarray and RNA-seq data
 Gene Set Variation Analysis (GSVA) is a non-parametric, unsupervised
 method for estimating variation of gene set enrichment through the
 samples of a expression data set. GSVA performs a change in coordinate
 systems, transforming the data from a gene by sample matrix to a gene-
 set by sample matrix, thereby allowing the evaluation of pathway
 enrichment for each sample. This new matrix of GSVA enrichment scores
 facilitates applying standard analytical methods like functional
 enrichment, survival analysis, clustering, CNV-pathway analysis or cross-
 tissue pathway analysis, in a pathway-centric manner.

## r-bioc-gsva 1.42.0+ds

=== DESCRIPTION ===
Package: GSVA
Version: 1.42.0
Title: Gene Set Variation Analysis for microarray and RNA-seq data
Authors@R: c(person("Justin", "Guinney", role=c("aut", "cre"), email="justin.guinney@sagebase.org"),
             person("Robert", "Castelo", role="aut", email="robert.castelo@upf.edu"),
             person("Alexey", "Sergushichev", role="ctb", email="alsergbox@gmail.com"),
             person("Pablo Sebastian", "Rodriguez", role="ctb", email="pablosebastian.rodriguez@upf.edu"))
Depends: R (>= 3.5.0)
Imports: methods, stats, utils, graphics, S4Vectors, IRanges, Biobase,
        SummarizedExperiment, GSEABase, Matrix, parallel, BiocParallel,
        SingleCellExperiment, sparseMatrixStats, DelayedArray,
        DelayedMatrixStats, HDF5Array, BiocSingular
Suggests: BiocGenerics, RUnit, BiocStyle, knitr, rmarkdown, limma,
        RColorBrewer, org.Hs.eg.db, genefilter, edgeR, GSVAdata, shiny,
        shinydashboard, ggplot2, data.table, plotly, future, promises,
        shinybusy, shinyjs
Description: Gene Set Variation Analysis (GSVA) is a non-parametric, unsupervised method for estimating variation of gene set enrichment through the samples of a expression data set. GSVA performs a change in coordinate systems, transforming the data from a gene by sample matrix to a gene-set by sample matrix, thereby allowing the evaluation of pathway enrichment for each sample. This new matrix of GSVA enrichment scores facilitates applying standard analytical methods like functional enrichment, survival analysis, clustering, CNV-pathway analysis or cross-tissue pathway analysis, in a pathway-centric manner.
License: GPL (>= 2)
VignetteBuilder: knitr
URL: https://github.com/rcastelo/GSVA
BugReports: https://github.com/rcastelo/GSVA/issues
Encoding: latin1
biocViews: FunctionalGenomics, Microarray, RNASeq, Pathways,
        GeneSetEnrichment
git_url: https://git.bioconductor.org/packages/GSVA
git_branch: RELEASE_3_14
git_last_commit: c99b10b
git_last_commit_date: 2021-10-26
Date/Publication: 2021-10-26
NeedsCompilation: yes
Packaged: 2021-10-26 21:38:51 UTC; biocbuild
Author: Justin Guinney [aut, cre],
  Robert Castelo [aut],
  Alexey Sergushichev [ctb],
  Pablo Sebastian Rodriguez [ctb]
Maintainer: Justin Guinney <justin.guinney@sagebase.org>

=== debian/changelog ===
r-bioc-gsva (1.42.0+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 26 Nov 2021 08:17:10 +0100

r-bioc-gsva (1.40.1+ds-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R to update Build-Depends (3) (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Nilesh Patra ]
  * d/copyright: Repack html
  * New upstream version 1.40.1+ds

 -- Nilesh Patra <nilesh@debian.org>  Sun, 12 Sep 2021 18:53:45 +0530

=== debian/control ===
--- 
+++ 
@@ -7,14 +7,20 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-bioc-biocgenerics,
                r-bioc-s4vectors,
                r-bioc-iranges,
                r-bioc-biobase,
                r-bioc-summarizedexperiment,
+               r-bioc-gseabase,
+               r-cran-matrix,
                r-bioc-biocparallel,
-               r-bioc-gseabase
-Standards-Version: 4.5.1
+               r-bioc-singlecellexperiment,
+               r-bioc-sparsematrixstats,
+               r-bioc-delayedarray,
+               r-bioc-delayedmatrixstats,
+               r-bioc-hdf5array,
+               r-bioc-biocsingular
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-gsva
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-gsva.git
 Homepage: https://bioconductor.org/packages/GSVA/

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-runit, r-cran-fastmatch
Restrictions: allow-stderr

## r-bioc-gsva 1.44.2+ds

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: GSVA
-Version: 1.42.0
+Version: 1.44.2
 Title: Gene Set Variation Analysis for microarray and RNA-seq data
 Authors@R: c(person("Justin", "Guinney", role=c("aut", "cre"), email="justin.guinney@sagebase.org"),
              person("Robert", "Castelo", role="aut", email="robert.castelo@upf.edu"),
@@ -23,12 +23,12 @@
 biocViews: FunctionalGenomics, Microarray, RNASeq, Pathways,
         GeneSetEnrichment
 git_url: https://git.bioconductor.org/packages/GSVA
-git_branch: RELEASE_3_14
-git_last_commit: c99b10b
-git_last_commit_date: 2021-10-26
-Date/Publication: 2021-10-26
+git_branch: RELEASE_3_15
+git_last_commit: f4e0cc4
+git_last_commit_date: 2022-06-09
+Date/Publication: 2022-06-09
 NeedsCompilation: yes
-Packaged: 2021-10-26 21:38:51 UTC; biocbuild
+Packaged: 2022-06-09 20:48:59 UTC; biocbuild
 Author: Justin Guinney [aut, cre],
   Robert Castelo [aut],
   Alexey Sergushichev [ctb],

=== debian/changelog ===
r-bioc-gsva (1.44.2+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 17 Jun 2022 12:05:38 +0200

r-bioc-gsva (1.44.1+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 02 Jun 2022 19:59:21 +0200

r-bioc-gsva (1.44.0+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 16 May 2022 21:08:54 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,13 @@
 Source: r-bioc-gsva
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Steffen Moeller <moeller@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-gsva
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-gsva.git
+Homepage: https://bioconductor.org/packages/GSVA/
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
@@ -20,11 +24,7 @@
                r-bioc-delayedmatrixstats,
                r-bioc-hdf5array,
                r-bioc-biocsingular
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-gsva
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-gsva.git
-Homepage: https://bioconductor.org/packages/GSVA/
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-bioc-gsva
 Architecture: any

## r-bioc-gsva 1.46.0+ds

=== DESCRIPTION ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Package: GSVA
-Version: 1.44.2
+Version: 1.46.0
 Title: Gene Set Variation Analysis for microarray and RNA-seq data
-Authors@R: c(person("Justin", "Guinney", role=c("aut", "cre"), email="justin.guinney@sagebase.org"),
-             person("Robert", "Castelo", role="aut", email="robert.castelo@upf.edu"),
+Authors@R: c(person("Robert", "Castelo", role=c("aut", "cre"), email="robert.castelo@upf.edu"),
+             person("Justin", "Guinney", role="aut", email="jguinney@gmail.com"),
              person("Alexey", "Sergushichev", role="ctb", email="alsergbox@gmail.com"),
              person("Pablo Sebastian", "Rodriguez", role="ctb", email="pablosebastian.rodriguez@upf.edu"))
 Depends: R (>= 3.5.0)
 Imports: methods, stats, utils, graphics, S4Vectors, IRanges, Biobase,
-        SummarizedExperiment, GSEABase, Matrix, parallel, BiocParallel,
-        SingleCellExperiment, sparseMatrixStats, DelayedArray,
-        DelayedMatrixStats, HDF5Array, BiocSingular
+        SummarizedExperiment, GSEABase, Matrix (>= 1.5-0), parallel,
+        BiocParallel, SingleCellExperiment, sparseMatrixStats,
+        DelayedArray, DelayedMatrixStats, HDF5Array, BiocSingular
 Suggests: BiocGenerics, RUnit, BiocStyle, knitr, rmarkdown, limma,
         RColorBrewer, org.Hs.eg.db, genefilter, edgeR, GSVAdata, shiny,
         shinydashboard, ggplot2, data.table, plotly, future, promises,
@@ -23,14 +23,14 @@
 biocViews: FunctionalGenomics, Microarray, RNASeq, Pathways,
         GeneSetEnrichment
 git_url: https://git.bioconductor.org/packages/GSVA
-git_branch: RELEASE_3_15
-git_last_commit: f4e0cc4
-git_last_commit_date: 2022-06-09
-Date/Publication: 2022-06-09
+git_branch: RELEASE_3_16
+git_last_commit: 4036d9f
+git_last_commit_date: 2022-11-01
+Date/Publication: 2022-11-01
 NeedsCompilation: yes
-Packaged: 2022-06-09 20:48:59 UTC; biocbuild
-Author: Justin Guinney [aut, cre],
-  Robert Castelo [aut],
+Packaged: 2022-11-01 21:46:53 UTC; biocbuild
+Author: Robert Castelo [aut, cre],
+  Justin Guinney [aut],
   Alexey Sergushichev [ctb],
   Pablo Sebastian Rodriguez [ctb]
-Maintainer: Justin Guinney <justin.guinney@sagebase.org>
+Maintainer: Robert Castelo <robert.castelo@upf.edu>

=== debian/changelog ===
r-bioc-gsva (1.46.0+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Reduce piuparts noise in transitions (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 21 Nov 2022 22:01:45 +0100

r-bioc-gsva (1.44.5+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 26 Sep 2022 10:58:56 +0200

r-bioc-gsva (1.44.4+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 23 Sep 2022 09:16:00 +0200

r-bioc-gsva (1.44.3+ds-3) unstable; urgency=medium

  * Team Upload.
  * Fixed dependency the debian way

 -- Nilesh Patra <nilesh@debian.org>  Wed, 14 Sep 2022 20:05:43 +0530

r-bioc-gsva (1.44.3+ds-2) unstable; urgency=medium

  * Team Upload.
  * Add versioned dep on rmatrix to fix autopkgtests

 -- Nilesh Patra <nilesh@debian.org>  Wed, 14 Sep 2022 19:53:11 +0530

r-bioc-gsva (1.44.3+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 14 Sep 2022 08:59:10 +0200

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                r-bioc-biobase,
                r-bioc-summarizedexperiment,
                r-bioc-gseabase,
-               r-cran-matrix,
+               r-cran-matrix (>= 1.5-0),
                r-bioc-biocparallel,
                r-bioc-singlecellexperiment,
                r-bioc-sparsematrixstats,

## r-bioc-gsva 1.48.2+ds

=== debian/changelog ===
r-bioc-gsva (1.48.2+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 27 Jul 2023 15:19:02 +0200

## r-bioc-gsva 1.48.3+ds

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: GSVA
-Version: 1.46.0
+Version: 1.48.3
 Title: Gene Set Variation Analysis for microarray and RNA-seq data
 Authors@R: c(person("Robert", "Castelo", role=c("aut", "cre"), email="robert.castelo@upf.edu"),
              person("Justin", "Guinney", role="aut", email="jguinney@gmail.com"),
@@ -23,12 +23,12 @@
 biocViews: FunctionalGenomics, Microarray, RNASeq, Pathways,
         GeneSetEnrichment
 git_url: https://git.bioconductor.org/packages/GSVA
-git_branch: RELEASE_3_16
-git_last_commit: 4036d9f
-git_last_commit_date: 2022-11-01
-Date/Publication: 2022-11-01
+git_branch: RELEASE_3_17
+git_last_commit: 8314d36
+git_last_commit_date: 2023-07-27
+Date/Publication: 2023-07-27
 NeedsCompilation: yes
-Packaged: 2022-11-01 21:46:53 UTC; biocbuild
+Packaged: 2023-07-27 20:58:51 UTC; biocbuild
 Author: Robert Castelo [aut, cre],
   Justin Guinney [aut],
   Alexey Sergushichev [ctb],

=== debian/changelog ===
r-bioc-gsva (1.48.3+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sat, 05 Aug 2023 07:29:11 +0200

## r-bioc-gsva 1.50.0%2Bds

=== debian/changelog ===
r-bioc-gsva (1.50.0+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 01 Dec 2023 07:42:42 +0100

## r-bioc-gsva 1.50.0+ds

=== DESCRIPTION ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Package: GSVA
-Version: 1.48.3
-Title: Gene Set Variation Analysis for microarray and RNA-seq data
+Version: 1.50.0
+Title: Gene Set Variation Analysis for Microarray and RNA-Seq Data
 Authors@R: c(person("Robert", "Castelo", role=c("aut", "cre"), email="robert.castelo@upf.edu"),
              person("Justin", "Guinney", role="aut", email="jguinney@gmail.com"),
              person("Alexey", "Sergushichev", role="ctb", email="alsergbox@gmail.com"),
-             person("Pablo Sebastian", "Rodriguez", role="ctb", email="pablosebastian.rodriguez@upf.edu"))
+             person("Pablo Sebastian", "Rodriguez", role="ctb", email="pablo.rodriguez.bio2@gmail.com"),
+             person("Axel", "Klenk", role="ctb", email="axelvolker.klenk@upf.edu"))
 Depends: R (>= 3.5.0)
 Imports: methods, stats, utils, graphics, S4Vectors, IRanges, Biobase,
         SummarizedExperiment, GSEABase, Matrix (>= 1.5-0), parallel,
@@ -19,18 +20,21 @@
 VignetteBuilder: knitr
 URL: https://github.com/rcastelo/GSVA
 BugReports: https://github.com/rcastelo/GSVA/issues
-Encoding: latin1
+Encoding: UTF-8
 biocViews: FunctionalGenomics, Microarray, RNASeq, Pathways,
         GeneSetEnrichment
+Roxygen: list(markdown = TRUE)
+RoxygenNote: 7.2.3
 git_url: https://git.bioconductor.org/packages/GSVA
-git_branch: RELEASE_3_17
-git_last_commit: 8314d36
-git_last_commit_date: 2023-07-27
-Date/Publication: 2023-07-27
+git_branch: RELEASE_3_18
+git_last_commit: 72a1f51
+git_last_commit_date: 2023-10-24
+Date/Publication: 2023-10-24
 NeedsCompilation: yes
-Packaged: 2023-07-27 20:58:51 UTC; biocbuild
+Packaged: 2023-10-24 21:31:49 UTC; biocbuild
 Author: Robert Castelo [aut, cre],
   Justin Guinney [aut],
   Alexey Sergushichev [ctb],
-  Pablo Sebastian Rodriguez [ctb]
+  Pablo Sebastian Rodriguez [ctb],
+  Axel Klenk [ctb]
 Maintainer: Robert Castelo <robert.castelo@upf.edu>

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-gsva
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-gsva.git
 Homepage: https://bioconductor.org/packages/GSVA/
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

## r-bioc-gsva 1.52.3+ds

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: GSVA
-Version: 1.50.0
+Version: 1.52.3
 Title: Gene Set Variation Analysis for Microarray and RNA-Seq Data
 Authors@R: c(person("Robert", "Castelo", role=c("aut", "cre"), email="robert.castelo@upf.edu"),
              person("Justin", "Guinney", role="aut", email="jguinney@gmail.com"),
@@ -9,8 +9,9 @@
 Depends: R (>= 3.5.0)
 Imports: methods, stats, utils, graphics, S4Vectors, IRanges, Biobase,
         SummarizedExperiment, GSEABase, Matrix (>= 1.5-0), parallel,
-        BiocParallel, SingleCellExperiment, sparseMatrixStats,
-        DelayedArray, DelayedMatrixStats, HDF5Array, BiocSingular
+        BiocParallel, SingleCellExperiment, SpatialExperiment,
+        sparseMatrixStats, DelayedArray, DelayedMatrixStats, HDF5Array,
+        BiocSingular
 Suggests: BiocGenerics, RUnit, BiocStyle, knitr, rmarkdown, limma,
         RColorBrewer, org.Hs.eg.db, genefilter, edgeR, GSVAdata, shiny,
         shinydashboard, ggplot2, data.table, plotly, future, promises,
@@ -24,14 +25,15 @@
 biocViews: FunctionalGenomics, Microarray, RNASeq, Pathways,
         GeneSetEnrichment
 Roxygen: list(markdown = TRUE)
-RoxygenNote: 7.2.3
+RoxygenNote: 7.3.1
 git_url: https://git.bioconductor.org/packages/GSVA
-git_branch: RELEASE_3_18
-git_last_commit: 72a1f51
-git_last_commit_date: 2023-10-24
-Date/Publication: 2023-10-24
+git_branch: RELEASE_3_19
+git_last_commit: f34b397
+git_last_commit_date: 2024-06-06
+Repository: Bioconductor 3.19
+Date/Publication: 2024-06-09
 NeedsCompilation: yes
-Packaged: 2023-10-24 21:31:49 UTC; biocbuild
+Packaged: 2024-06-09 21:48:15 UTC; biocbuild
 Author: Robert Castelo [aut, cre],
   Justin Guinney [aut],
   Alexey Sergushichev [ctb],

=== debian/changelog ===
r-bioc-gsva (1.52.3+ds-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 18 Aug 2024 12:10:01 +0200

r-bioc-gsva (1.52.3+ds-1~0exp1) experimental; urgency=medium

  * Team upload.
  * d/{,tests/}control: bump minimum versions of r-bioc-* packages to
    bioc-3.19+ versions

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 22 Jul 2024 13:16:22 +0200

r-bioc-gsva (1.52.3+ds-1~0exp) experimental; urgency=low

  * Team upload.
  * New upstream version
  * Set upstream metadata fields: Archive.
  * d/control: added new build-dep on r-bioc-spatialexperiment
  * Removed manually written autopkgtests
  * d/control: Skip building on 32-bit systems.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 13 Jul 2024 15:41:36 +0200

=== debian/control ===
--- 
+++ 
@@ -9,30 +9,52 @@
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
+               architecture-is-64-bit,
                dh-r,
                r-base-dev,
-               r-bioc-s4vectors,
-               r-bioc-iranges,
-               r-bioc-biobase,
-               r-bioc-summarizedexperiment,
-               r-bioc-gseabase,
+               r-bioc-s4vectors (>= 0.42.1),
+               r-bioc-iranges (>= 2.38.1),
+               r-bioc-biobase (>= 2.64.0),
+               r-bioc-summarizedexperiment (>= 1.34.0),
+               r-bioc-gseabase (>= 1.66.0),
                r-cran-matrix (>= 1.5-0),
-               r-bioc-biocparallel,
-               r-bioc-singlecellexperiment,
-               r-bioc-sparsematrixstats,
-               r-bioc-delayedarray,
-               r-bioc-delayedmatrixstats,
-               r-bioc-hdf5array,
-               r-bioc-biocsingular
+               r-bioc-biocparallel (>= 1.38.0),
+               r-bioc-singlecellexperiment (>= 1.26.0),
+               r-bioc-sparsematrixstats (>= 1.16.0),
+               r-bioc-delayedarray (>= 0.30.1),
+               r-bioc-delayedmatrixstats (>= 1.26.0),
+               r-bioc-hdf5array (>= 1.32.0),
+               r-bioc-biocsingular (>= 1.20.0),
+               r-bioc-spatialexperiment (>= 1.14.0)
 Testsuite: autopkgtest-pkg-r
 
 Package: r-bioc-gsva
 Architecture: any
 Depends: ${R:Depends},
          ${shlibs:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+         r-bioc-s4vectors (>= 0.42.1),
+         r-bioc-iranges (>= 2.38.1),
+         r-bioc-biobase (>= 2.64.0),
+         r-bioc-summarizedexperiment (>= 1.34.0),
+         r-bioc-gseabase (>= 1.66.0),
+         r-bioc-biocparallel (>= 1.38.0),
+         r-bioc-singlecellexperiment (>= 1.26.0),
+         r-bioc-sparsematrixstats (>= 1.16.0),
+         r-bioc-delayedarray (>= 0.30.1),
+         r-bioc-delayedmatrixstats (>= 1.26.0),
+         r-bioc-hdf5array (>= 1.32.0),
+         r-bioc-biocsingular (>= 1.20.0),
+         r-bioc-spatialexperiment (>= 1.14.0)
 Recommends: ${R:Recommends}
-Suggests: ${R:Suggests}
+Suggests: ${R:Suggests},
+          r-bioc-biocgenerics (>= 0.50.0),
+          r-bioc-biocstyle (>= 2.32.1),
+          r-bioc-limma (>= 3.60.3),
+          r-bioc-org.hs.eg.db (>= 3.19.1-1),
+          r-bioc-genefilter (>= 1.86.0),
+          r-bioc-edger (>= 4.2.0),
+          r-bioc-gsvadata (>= 1.40.0)
 Description: Gene Set Variation Analysis for microarray and RNA-seq data
  Gene Set Variation Analysis (GSVA) is a non-parametric, unsupervised
  method for estimating variation of gene set enrichment through the

## r-bioc-gsva 2.0.4+ds

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: GSVA
-Version: 1.52.3
+Version: 2.0.4
 Title: Gene Set Variation Analysis for Microarray and RNA-Seq Data
 Authors@R: c(person("Robert", "Castelo", role=c("aut", "cre"), email="robert.castelo@upf.edu"),
              person("Justin", "Guinney", role="aut", email="jguinney@gmail.com"),
@@ -11,11 +11,12 @@
         SummarizedExperiment, GSEABase, Matrix (>= 1.5-0), parallel,
         BiocParallel, SingleCellExperiment, SpatialExperiment,
         sparseMatrixStats, DelayedArray, DelayedMatrixStats, HDF5Array,
-        BiocSingular
+        BiocSingular, cli
 Suggests: BiocGenerics, RUnit, BiocStyle, knitr, rmarkdown, limma,
         RColorBrewer, org.Hs.eg.db, genefilter, edgeR, GSVAdata, shiny,
         shinydashboard, ggplot2, data.table, plotly, future, promises,
         shinybusy, shinyjs
+LinkingTo: cli
 Description: Gene Set Variation Analysis (GSVA) is a non-parametric, unsupervised method for estimating variation of gene set enrichment through the samples of a expression data set. GSVA performs a change in coordinate systems, transforming the data from a gene by sample matrix to a gene-set by sample matrix, thereby allowing the evaluation of pathway enrichment for each sample. This new matrix of GSVA enrichment scores facilitates applying standard analytical methods like functional enrichment, survival analysis, clustering, CNV-pathway analysis or cross-tissue pathway analysis, in a pathway-centric manner.
 License: GPL (>= 2)
 VignetteBuilder: knitr
@@ -25,15 +26,15 @@
 biocViews: FunctionalGenomics, Microarray, RNASeq, Pathways,
         GeneSetEnrichment
 Roxygen: list(markdown = TRUE)
-RoxygenNote: 7.3.1
+RoxygenNote: 7.3.2
 git_url: https://git.bioconductor.org/packages/GSVA
-git_branch: RELEASE_3_19
-git_last_commit: f34b397
-git_last_commit_date: 2024-06-06
-Repository: Bioconductor 3.19
-Date/Publication: 2024-06-09
+git_branch: RELEASE_3_20
+git_last_commit: c34771b
+git_last_commit_date: 2024-12-17
+Repository: Bioconductor 3.20
+Date/Publication: 2024-12-19
 NeedsCompilation: yes
-Packaged: 2024-06-09 21:48:15 UTC; biocbuild
+Packaged: 2024-12-19 22:29:39 UTC; biocbuild
 Author: Robert Castelo [aut, cre],
   Justin Guinney [aut],
   Alexey Sergushichev [ctb],

=== debian/changelog ===
r-bioc-gsva (2.0.4+ds-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 13 Jan 2025 21:23:26 +0100

r-bioc-gsva (2.0.4+ds-1) experimental; urgency=medium

  * Team upload.
  * New upstream version

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 27 Dec 2024 12:12:55 -0800

r-bioc-gsva (2.0.2+ds-1) experimental; urgency=medium

  * Team upload.
  * New upstream version

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 06 Dec 2024 16:33:17 +0100

r-bioc-gsva (2.0.1+ds-1) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * d/control: updated with dh-update-R.
  * Removed unapplied patches.

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 29 Nov 2024 13:57:49 +0100

## r-bioc-gsva 2.0.5%2Bds

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: GSVA
-Version: 2.0.4
+Version: 2.0.5
 Title: Gene Set Variation Analysis for Microarray and RNA-Seq Data
 Authors@R: c(person("Robert", "Castelo", role=c("aut", "cre"), email="robert.castelo@upf.edu"),
              person("Justin", "Guinney", role="aut", email="jguinney@gmail.com"),
@@ -29,12 +29,12 @@
 RoxygenNote: 7.3.2
 git_url: https://git.bioconductor.org/packages/GSVA
 git_branch: RELEASE_3_20
-git_last_commit: c34771b
-git_last_commit_date: 2024-12-17
+git_last_commit: 8f48bc6
+git_last_commit_date: 2025-01-15
 Repository: Bioconductor 3.20
-Date/Publication: 2024-12-19
+Date/Publication: 2025-01-19
 NeedsCompilation: yes
-Packaged: 2024-12-19 22:29:39 UTC; biocbuild
+Packaged: 2025-01-19 21:17:19 UTC; biocbuild
 Author: Robert Castelo [aut, cre],
   Justin Guinney [aut],
   Alexey Sergushichev [ctb],

## r-bioc-gsva 2.0.5+ds

=== debian/changelog ===
r-bioc-gsva (2.0.5+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 22 Jan 2025 11:02:24 +0100

=== debian/control ===
Source: r-bioc-gsva
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Steffen Moeller <moeller@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-gsva
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-gsva.git
Homepage: https://bioconductor.org/packages/GSVA/
Standards-Version: 4.7.0
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-bioc-s4vectors,
               r-bioc-iranges,
               r-bioc-biobase,
               r-bioc-summarizedexperiment,
               r-bioc-gseabase,
               r-cran-matrix (>= 1.5-0),
               r-bioc-biocparallel,
               r-bioc-singlecellexperiment,
               r-bioc-spatialexperiment,
               r-bioc-sparsematrixstats,
               r-bioc-delayedarray,
               r-bioc-delayedmatrixstats,
               r-bioc-hdf5array,
               r-bioc-biocsingular,
               r-cran-cli,
               architecture-is-64-bit
Testsuite: autopkgtest-pkg-r

Package: r-bioc-gsva
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Gene Set Variation Analysis for microarray and RNA-seq data
 Gene Set Variation Analysis (GSVA) is a non-parametric, unsupervised
 method for estimating variation of gene set enrichment through the
 samples of a expression data set. GSVA performs a change in coordinate
 systems, transforming the data from a gene by sample matrix to a gene-
 set by sample matrix, thereby allowing the evaluation of pathway
 enrichment for each sample. This new matrix of GSVA enrichment scores
 facilitates applying standard analytical methods like functional
 enrichment, survival analysis, clustering, CNV-pathway analysis or cross-
 tissue pathway analysis, in a pathway-centric manner.

=== debian/watch ===
version=4
opts=repack,repacksuffix=+ds,dversionmangle=auto,downloadurlmangle=s?^(.*)\.\.?https://bioconductor.org/packages/release/bioc? \
https://bioconductor.org/packages/release/bioc/html/GSVA.html .*/GSVA_(.*).tar.gz
